/api/projects/{id} (PATCH)
PATCH
/api/projects/{id}
const url = 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","color":"example","clientId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "color": "example", "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example" }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Request Body required
Section intitulée « Request Body required » Media type application/json
object
name
string
color
string
clientId
string format: uuid
description
string
Example generated
{ "name": "example", "color": "example", "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example"}Responses
Section intitulée « Responses »OK